Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.context.swimlane
Class SwimlaneContextInstance

    java.lang.Object
      org.jbpm.process.instance.context.AbstractContextInstance
          org.jbpm.process.instance.context.swimlane.SwimlaneContextInstance

All Implemented Interfaces:
  Serializable, ContextInstance

    public class SwimlaneContextInstance

extends AbstractContextInstance

See Also:
  Serialized Form

Constructor Summary
`SwimlaneContextInstance()`

Method Summary
`String` | `getActorId(String swimlane)`
`String` | `getContextType()`
`Map<String,String>` | `getSwimlaneActors()`
`SwimlaneContext` | `getSwimlaneContext()`
`void` | `setActorId(String swimlane, String actorId)`

Methods inherited from class org.jbpm.process.instance.context.AbstractContextInstance
`getContext, getContextId, getContextInstanceContainer, getProcessInstance, setContextId, setContextInstanceContainer, setProcessInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwimlaneContextInstance

    public SwimlaneContextInstance()

Method Detail

### getContextType

    public String getContextType()

### getSwimlaneContext

    public SwimlaneContext getSwimlaneContext()

### getActorId

    public String getActorId(String swimlane)

### setActorId

    public void setActorId(String swimlane,
                           String actorId)

### getSwimlaneActors

    public Map<String,String> getSwimlaneActors()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.